Gimp 2.7.1, Inkscape 0.48

Ttuuxxx has put in a huge effort to provide us with Gimp and Inkscape packages for Wary Puppy. Considering that Wary is my long-term-supported Puppy, ttuuxxx's packages are going to be in use by a great many people for a very long time -- at least a couple of years, or until we next decide to compile later versions.

Forum threads:
Gimp: http://murga-linux.com/puppy/viewtopic.php?t=61612&start=45
Inkscape: http://murga-linux.com/puppy/viewtopic.php?t=61612&start=60

I checked that they worked, and thumbs up on that. Tweaked the database entries just a teensy bit:

babl-0.1.2-w5|babl|0.1.2-w5||BuildingBlock|220K||babl-0.1.2-w5.pet||library needed by gimp|puppy|wary5||

babl_DEV-0.1.2-w5|babl_DEV|0.1.2-w5||BuildingBlock|56K||babl_DEV-0.1.2-w5.pet||library needed by gimp|puppy|wary5||
gegl-0.1.2-w5|gegl|0.1.2-w5||BuildingBlock|1456K||gegl-0.1.2-w5.pet|+babl|library needed by gimp|puppy|wary5||
gegl_DEV-0.1.2-w5|gegl_DEV|0.1.2-w5||BuildingBlock|592K||gegl_DEV-0.1.2-w5.pet|+gegl|dev files|puppy|wary5||
gegl_DOC-0.1.2-w5|gegl_DOC|0.1.2-w5||BuildingBlock|200K||gegl_DOC-0.1.2-w5.pet||docs for gegl||||
gimp-2.7.1-w5|gimp|2.7.1-w5||Graphic|18212K||gimp-2.7.1-w5.pet|+gegl|Create images and edit photographs|puppy|wary5||
gimp_DEV-2.7.1-w5|gimp_DEV|2.7.1-w5||Graphic|1172K||gimp_DEV-2.7.1-w5.pet|+gimp|dev files for gimp|puppy|wary5||
gimp_DOC-2.7.1-w5|gimp_DOC|2.7.1-w5||Graphic|7440K||gimp_DOC-2.7.1-w5.pet||documantation for gimp||||
gimp_NLS-2.7.1-w5|gimp_NLS|2.7.1-w5||Graphic|30224K||gimp_NLS-2.7.1-w5.pet|+gimp|international languages for gimp||||
gimp_plugin_dbp-2.7.1-1.1.9-w5|gimp_plugin_dbp|2.7.1-1.1.9-w5||Graphic|172K||gimp_plugin_dbp-2.7.1-1.1.9-w5.pet|+gimp|Davids Batch Processor, plugin for Gimp 2.7.1|puppy|wary5||
inkscape-0.48.0-w5|inkscape|0.48.0-w5||Graphic|20532K||inkscape-0.48.0-w5.pet|+poppler|Create and edit Scalable Vector Graphics images|puppy|wary5||
inkscape_NLS-0.48.0-w5|inkscape_NLS|0.48.0-w5||Graphic|10924K||inkscape_NLS-0.48.0-w5.pet|+inkscape|international language support for Inkscape||||
inkscape-tutorials-examples_DOC-0.48.0-w5|inkscape-tutorials-examples_DOC|0.48.0-w5||Graphic|31116K||inkscape-tutorials-examples_DOC-0.48.0-w5.pet||Inkscape tutorials and examples||||
inkview-0.48.0-w5|inkview|0.48.0-w5||Graphic|12644K||inkview-0.48.0-w5.pet|+poppler|terminal slideshow, inkscape utility|puppy|wary5||
MM_Static_Dev-2.20.3-w5|MM_Static_Dev|2.20.3-w5||BuildingBlock|71396K||MM_Static_Dev-2.20.3-w5.pet||dev files for compiling apps with gtkmm statically|puppy|wary5||


I have uploaded the PETs to the 'puppy-wary5' repository at ibiblio.org:
http://distro.ibiblio.org/pub/linux/distributions/quirky/pet_packages-wary5/

If you want to test these in Wary (and they might work in other puppies such as Lucid), they are not yet in the Puppy Package Manager, but you can download them individually and install them. Note that when you install with the PPM, dependencies are taken care of, but not when you just click on one PET to install it. So, for Gimp, be sure to install its two dependencies gegl and babl:
babl-0.1.2-w5.pet, gegl-0.1.2-w5.pet, gimp-2.7.1-w5.pet

Inkscape has no dependencies, just install:
inkscape-0.48.0-w5.pet

Regarding compiling packages that need the gtkmm libraries (Inkscape, Gparted), ttuuxxx has bundled the *mm static libraries into one PET to make it easier for developers:
MM_Static_Dev-2.20.3-w5.pet

Gimp home: http://www.gimp.org/
Inkscape home: http://inkscape.org/


Posted on 12 Nov 2010, 8:25


No comments posted yet.